2015-10-05  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* dvitodvi.c (ParseSpecs): Avoid to return the address of a
	local variable, even when the result is discarded.

2015-07-07  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Better dependencies for 'make check'.

2015-02-27  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* configure.ac: Drop tests for strerror(), vprintf(), and
	sizeof(int); add AC_TYPE_INT16_T etc.
	* types.h: Drop unused HAVE_VPRINTF; use int16_t etc.

2014-06-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* dvitodvi.c: Avboid undefined behaviour when char is signed.

2014-06-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Drop the obsolete ACLOCAL_AMFLAGS.

2013-11-20  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* dviselect.c: Delay opening output until a page is selected.
	* seetexk.test: More tests with stdin and stdout.

	* dviconcat.c: Drop '#include <kpathsea/c-auto.h>'.

2013-11-18  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* dvibook.c, dviconcat.c, dviselect.c, dvitodvi.c, tempfile.c:
	include <kpathsea/config.h> in order to define DOSISH on W32.
	In previous binaries, SET_BINARY() is not effective on W32,
	because DOSISH is not defined.

2013-11-18  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* seetexk.test: Add a test for dviselect creating 0 pages.
	* tests/playnot.2 (new): Additional test output.
	* Makefile.am: Add the new test output.

2013-11-18  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* dviselect.c: Remove dvi files with 0 pages.

2013-07-01  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* dviselect.c, types.h: Replace bcopy(f, t, l) =>
	memcpy(t, f, l).

2013-06-28  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* dviconcat.c: Replace bcmp() => memcmp().
	* search.c: Replace bcopy(f, t, l) => memcpy(t, f, l) and
	bzero(s, l) => memset(s, 0, l).

	* error.c, fio.c, gripes0.c, gripes1.c: Include <config.h> and
	<kpathsea/config.h> always first.

2012-11-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Avoid use of deprecated INCLUDES.

2012-07-25  Ken Brown  <kbrow1i@gmail.com>

	* seek.c (CopyFile): No special file mode handling for Cygwin.

	* seetexk.test: Add tests of dvibook and dvitodvi reading stdin.

2012-03-20  Karl Berry  <karl@tug.org>

	* *.c, *.h, *.man: update license of UMD files to use the X11
	license.  Approved by UMD legal, after discussion

2011-09-25  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* seetexk.test: New shell script for tests.
	* tests/{play.dvi,play*.2}: Test input and expected output.
	* Makefile.am: Add the test and its data.

2011-09-23  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* dviselect.c (main): Allow filenames to start with '../'.
	* dvitodvi.c: Bug fix: make sure to finish the last page.
	* dvitodvi.man: Fix a formatting problem.

2011-08-01  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Remove unused files (they can still be found under
	<http://ctan.org/tex-archive/dviware/dvibook/libtex>).
	* bcopy.c, bzero.c, conv.[ch], convstruct.h, dvi_draw.c,
	dvistate.[ch], dvistuff.[ch], findpost.c, font.c, font_subr.c,
	getopt.c, gfclass.[ch], gfcodes.h, gffont.c, magfactor.c, num.h,
	pkfont.c, postamble.h, pxlfont.c, rotate.c, rstfont.c,
	scaletfm.c, scanpost.c, sdecode.[ch], skip.c, split.c, strsave.c,
	strtol.c, tfm.[ch], tfmfont.c: All removed.
	* Makefile.am [EXTRA_DIST]: Removed.

2010-12-08  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* dviconcat.c, dviselect.c: Fix typo (RBIN_MODE => WBIN_MODE).
	* dvibook.c, dvitodvi.c: Ditto; append "b" to BIN_MODEs.

2010-05-10  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* dvibook.c, dviconcat.c, dviselect.c, dvitodvi.c [SET_BINARY]:
	Add casts to void.  (SET_BINARY): Remove casts to void.

2010-02-26  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* types.h: Don't #include <win32lib.h> for KPATHSEA.

2010-02-20  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* types.h: Do not #include <win32lib.h> for MinGW32.  Moved
	#undef DT_RIGHT and #define EndPage after kpathsea includes.

2009-08-22  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Avoid maximal compiler warnings.
	* error.c (readback), gripes1.c (dfn): Constify return type.
	* dvibook.c, dviconcat.c, dviselect.c, dvitodvi.c:
	Constify global string DVIFileName and param2 of message().
	* error.[ch]: Constify param2 of trap_fn().
	* gripes.h, gripes[01].c: Constify extern string DVIFileName
	and move declaration to header.
	Constify string params of all functions.
	* dviconcat.c (doit): Constify string param.
	* dvibook.c (PutEmptyPage), dviconcat.c (PutEmptyPage),
	seek.c (CopyFile), tempfile.c (MakeRWTempFile): Constify local
	string vars.

2009-07-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* seek.c (__CYGWIN32__): #include <io.h> for setmode.

2009-06-23  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* dvibook.c, dvitodvi.c: drop #ifdef HAVE_PROTOTYPES,
	unconditionally use prototypes.

2009-06-22  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am (AM_CPPFLAGS): remove -DNeedFunctionPrototypes.
	* dviconcat.c, dviselect.c, types.h: always use prototypes.

2009-06-17  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am (AM_CFLAGS): enable compiler warnings.

	* use ANSI C prototypes for all functions.
	* tempfile.h (new): prototype for MakeRWTempFile.
	* Makefile.am: distribute tempfile.h.

	* avoid unused variables, remove rcsid's.
	* remove unnecessary prototypes for static functions
	(some with long/i32 discrepancies).
	* dvibook.c, dviconcat.c, dviselect.c, dvitodvi.c:
	(HandleFontDef) add explicit braces to avoid ambiguous `else'.
	* dviselect.c (main): add parentheses around && within ||.
	* font.h: guard against multiple inclusion.
	* gripes.h: #include "font.h", for struct font.
	* tempfile.c: #include <unistd.h> for unlink and getpid.

2009-06-02  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* tempfile.c: define __cdecl only when used, to avoid warnings
	on cygwin.

2009-05-27  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Adapt to TL2009 build system.

2009-02-03  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* error.c: Include <config.h> instead of <c-auto.h> as
	everywhere else.

2008-02-29  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* configure.in: added AC_CONFIG_HEADERS (moved
	from ../kpathsea/common.ac to here).

2008-01-30  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Convert from autoconf-2.13 to autoconf-2.59+:
	* Makefile.in: Add @configure_input@ line.
	* aclocal.m4 (new): Generated (aclocal -I ../m4).
	* configure: Regenerated (autoconf).

2004-12-30  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* dvibook.c(main): Removed prototype, explicit int return type,
	changed exit at end into return.

	* dviconcat.c(main): Changed return type void into int,	changed
	exit at end into return.

	* dviselect.c(main): Explicit int return type, changed exit at end
	into return.

	* dvitodvi.c(main): Removed prototype, changed return type void
	into int, changed exit at end into return.

1998-03-26  Eli Zaretskii  <eliz@is.elta.co.il>

	* tempfile.c: Use text/binary parameterization from Kpathsea.
	(RemoveTempFile): New function, to remove temporary file on exit.
	(MakeRWTempFile): Use "." as directory for temporary file on MSDOS
	as well.  Call RemoveTempFile instead of relying on it being
	unlinked when it is closed, on DOSISH systems.

	* seek.c: Use text/binary parameterization from Kpathsea.
	(CopyFile): Make sure the temporary file is put into the same mode
	(text or binary) as the original input handle.

	* dvitodvi.c: Use text/binary parameterization from Kpathsea.
	(main): Switch standard streams to binary mode when necessary.

	* dviselect.c: Use text/binary parameterization from Kpathsea.

	* dviconcat.c: Use text/binary parameterization from Kpathsea.
	(main): Switch standard streams to binary mode when necessary.

	* dvibook.c: Use text/binary parameterization from Kpathsea.

	* Makefile.in (prog_cflags): Add HAVE_CONFIG_H and -I with paths
	to Kpathsea directory.

Tue Feb 24 11:56:33 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* error.c: cleanup for win32 from Fabrice Popineau

Mon Feb  2 11:15:48 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* more fixes to error.* from Peter Breitenlohner

	* Makefile.in: install man pages for dvibook and dvitodvi

Wed Jan 28 09:46:59 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* application programs and error.*: prototyping improved by
	Fabrice Popineau

Tue Jan 27 14:32:25 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* rewrite of error function by Thomas Esser. needed check of
	strerror in configure.in

	* configure etc: new configure.in, c-auto.in, Makefile.in from
	Olaf Weber
	
Tue Jan 20 10:14:41 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* fiddled about with NeedVarargs etc to use
	HAVE_PROTOTYPES. Depended all the malloc etc declarations on
	#ifndef KPATHSEA

	* added check of function prototypes to c-auto.in; added
	additional Amiga check to dvibook and dvitodvi

Mon Jan 19 20:45:47 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* cut down contents of libtex.a to bare minimum

Sat Jan 17 15:08:03 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* assorted patches from Olaf Weber, 
	Peter Breitenlohner, Fabrice Popineau
	etc. va_start drove me mad. I never want to see this again.

Wed Jan  7 14:46:38 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* Added Angus Duggan's dvibook and dvitodvi programs.

Thu Jan  1 11:00:52 1998  Sebastian Rahtz  <s.rahtz@elsevier.co.uk>

	* Started ChangeLog for seetexk. This is a very rough addition to
	the texk family to allow us to have just dviconcat and
	dviselect. No attempt to compile xtex! Made a configure file.

Copyright (C) 2004-2012 Peter Breitenlohner <tex-live@tug.org>
Copyright (C) 1998 Sebastian Rahtz
You may freely use, modify and/or distribute this file.
